<?php
  global $menu, $tableName, $errors;
  require_once "lib/menus/default/uploadForm_functions.php";
  echo "<?xml version=\"1.0\"?>\n";
?>
<!DOCTYPE html
          PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
 <head>
  <title></title>
  <meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
  <script type="text/javascript" src="tinymce3/tiny_mce_popup.js"></script>
  <script type="text/javascript" src="tinymce3/utils/mctabs.js"></script>
  <script type="text/javascript" src="tinymce3/utils/form_utils.js"></script>
  <link rel="stylesheet" type="text/css" href="tinymce3/themes/advanced/skins/default/dialog.css" />
  <style type="text/css">
    .photobox {
      border: 1px solid #666; padding: 5px; margin: 5px;
      font-size: 9px; text-align: center;
      float: left;
      background-color: #EEE
    };
  </style>
  <base target="_self" />
 </head>

<body style="display: none">

<form method="post" action="<?php echo $_SERVER['PHP_SELF'] ?>" enctype="multipart/form-data" autocomplete="off">
<input type="hidden" name="_defaultAction" value="wysiwygUploads" />
<input type="hidden" name="menu"          value="<?php echo htmlspecialchars($menu); ?>" />
<input type="hidden" name="fieldName"     value="<?php echo htmlspecialchars(@$FORM['fieldName']) ?>" />
<input type="hidden" name="num"           value="<?php echo htmlspecialchars(@$FORM['num']) ?>" />
<input type="hidden" name="preSaveTempId" value="<?php echo htmlspecialchars(@$FORM['preSaveTempId']) ?>" />
<input type="hidden" name="submitUploads" value="1" />
<input type="hidden" name="wysiwygForm"   value="1" />

<div class="tabs">
  <ul>
    <li id="tab1" class="current">
      <span><a href="javascript:mcTabs.displayTab('tab1','tab1_panel');" onmousedown="return false;">Uploaded Files</a></span>
    </li>
  </ul>
</div>

<div class="panel_wrapper" style="padding: 0px; margin-bottom: 10px;">

  <div id="tab1_panel" class="panel current" style="height: auto; width: auto; padding: 5px;">

    <div style="padding: 10px 0px; text-align: center;">

      Upload New
      <input type="file" name="upload1" value="" size="60" />
      <input type="submit" name="submit" value="Upload" /><br/>

      <?php if (@$errors): ?>
        <div style="font-weight: bold; color: #C00; padding-top: 5px;"><?php echo @$errors ?></div>
      <?php endif ?>
    </div>

    <div style="border-bottom: 1px dotted #919B9C; margin: 0px 5px 5px 0px;"></div>

    <?php
      $fieldSchema = $schema[$FORM['fieldName']];
      $result = getUploads($tableName, $FORM['fieldName'], @$FORM['num'], @$FORM['preSaveTempId'], null);
      while ($row = mysql_fetch_assoc($result)):
    ?>

      <div class="photobox">
        <table border="0" cellspacing="0" cellpadding="0">
          <tr><td valign="middle" align="center" width="160" height="120"><?php _showPreview($row, 150, 113); ?></td></tr>
          <tr><td height="15"><?php _showLinks($row); ?></td></tr>
        </table>
      </div>

    <?php endwhile ?>

    <div style="padding: 50px 0px; text-align: center; display: none; float: none" class="noUploads">
      There are no uploads for this field yet.
    </div>

   <br clear="all" />
   <div></div><!-- IE7 ignores br clear=all unless we have something here -->

  </div>
</div><!-- /panel_wrapper -->

<script type="text/javascript" src="lib/jquery.js"></script>
<script type="text/javascript"><!--

$(document).ready(function(){
  showHideNoUploadsMessage();
});

function showHideNoUploadsMessage() {

  if ($(".photobox").size() == 0) { $(".noUploads").show(); }
  else                             { $(".noUploads").hide(); }

}

function removeUpload(uploadNum, filename, rowChildEl) {

  // confirm erase
  if (!confirm("Remove file: " + filename )) { return; }

  // erase record
  var eraseUrl = "?menu=<?php echo urlencode($menu) ?>"
               + "&action=uploadErase"
               + "&fieldName=<?php echo urlencode($FORM['fieldName']) ?>"
               + "&uploadNum=" + uploadNum
               + "&num=<?php echo urlencode(@$FORM['num']) ?>"
               + "&preSaveTempId=<?php echo urlencode(@$FORM['preSaveTempId']) ?>";

  $.ajax({
    url: eraseUrl,
    error:  function(msg){ alert("There was an error sending the request!"); },
    success: function(msg){
      if (msg) { alert("Error: " + msg); };

      // erase row html
      $(rowChildEl).parents(".photobox").remove();

      showHideNoUploadsMessage();
    }
  });

  return false;
}



function insertUpload(newValue, isImage) {

  var browseType   = tinyMCEPopup.getWindowArg("browseType");
  var parentWindow = tinyMCEPopup.getWindowArg("parentWindow");
  var inputFieldId = tinyMCEPopup.getWindowArg("inputFieldId");

  // error checking
  if (browseType == 'image' && !isImage) {
    alert("You can only insert images in this popup!");
    return false;
  }

  // insert information now
  parentWindow.document.getElementById(inputFieldId).value = newValue;

  // for image browser: update image dimensions
  if (parentWindow.ImageDialog) {
    parentWindow.ImageDialog.resetImageData();
    parentWindow.ImageDialog.getImageData();
  }

  // close popup window
  tinyMCEPopup.close();
}

//--></script>


</form>
</body>
</html>

<?php

//
function _showPreview($row, $maxWidth = 150, $maxHeight = 125) {
  $filename     = pathinfo($row['filePath'], PATHINFO_BASENAME);
  $isImage      = preg_match("/\.(gif|jpg|jpeg|png)$/i", $row['urlPath']);
  $hasThumbnail = $isImage && $row['thumbUrlPath'];

  // get preview size
  if ($isImage) {
    $widthScale   = $maxWidth / $row['width'];
    $heightScale  = $maxHeight / $row['height'];
    $scaleFactor  = min($widthScale, $heightScale, 1);  # don't scale above 1:1
    $previewHeight = ceil($row['height'] * $scaleFactor); # round up
    $previewWidth  = ceil($row['width'] * $scaleFactor);  # round up
  }

  // show preview
  if ($hasThumbnail) {
    print "<a href='{$row['urlPath']}' target='_BLANK'><img src='{$row['thumbUrlPath']}' border='0' width='$previewWidth' height='$previewHeight' alt='' title='Click to view $filename' /></a>\n";
  }
  elseif ($isImage) {
    print "<a href='{$row['urlPath']}' target='_BLANK'><img src='{$row['urlPath']}' border='0' width='$previewWidth' height='$previewHeight' alt='' title='Click to view $filename'  /></a>\n";
  }
  else {
    print "(No Preview)<br/><a href='{$row['urlPath']}' target='_BLANK'>Download</a>\n";
  }



}

//
function _showLinks($row) {
  $filename     = pathinfo($row['filePath'], PATHINFO_BASENAME);
  $isImage      = preg_match("/\.(gif|jpg|jpeg|png)$/i", $row['urlPath']);
  $hasThumbnail = $isImage && $row['thumbUrlPath'];

  if ($hasThumbnail) {
    print "<a href='#' onclick=\"insertUpload('" .addcslashes(htmlspecialchars($row['thumbUrlPath']), '\\\''). "', $isImage)\">Small</a> | ";
    print "<a href='#' onclick=\"insertUpload('" .addcslashes(htmlspecialchars($row['urlPath']), '\\\''). "', $isImage)\">Large</a> | ";
  }
  else {
    print "<a href='#' onclick=\"insertUpload('" .addcslashes(htmlspecialchars($row['urlPath']), '\\\''). "', $isImage)\">Insert</a> | ";
  }

  $removeUrl = "removeUpload('{$row['num']}', '" .addcslashes(htmlspecialchars($filename), '\\\''). "', this);";
  print "<a href='#' onclick=\"$removeUrl\">Delete</a><br/>";

  print "<div style='color: #666; padding-top: 1px'>$filename</div>";


}

?>
